GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/i386-nbsd-nat.c File Reference
`#include "defs.h"`
`#include "gdbcore.h"`
`#include "regcache.h"`
`#include "target.h"`
`#include "i386-tdep.h"`
`#include "i386-bsd-nat.h"`
`#include <sys/types.h>`
`#include <machine/frame.h>`
`#include <machine/pcb.h>`
`#include "nbsd-nat.h"`
`#include "bsd-kvm.h"`

Go to the source code of this file.

## Functions
static int | i386nbsd_supply_pcb (struct regcache *regcache, struct pcb *pcb)
void | _initialize_i386nbsd_nat (void)

## Function Documentation

## ◆ _initialize_i386nbsd_nat()

void _initialize_i386nbsd_nat | ( | void |  | ) |

Definition at line 75 of file i386-nbsd-nat.c.

References add_target(), bsd_kvm_add_target(), i386bsd_target(), i386nbsd_supply_pcb(), nbsd_pid_to_exec_file(), and target_ops::to_pid_to_exec_file.

## ◆ i386nbsd_supply_pcb()

static int i386nbsd_supply_pcb | ( | struct regcache * | regcache,
|  | struct pcb * | pcb
| ) |  |
| static

Definition at line 38 of file i386-nbsd-nat.c.

References I386_EBP_REGNUM, I386_EBX_REGNUM, I386_EDI_REGNUM, I386_EIP_REGNUM, I386_ESI_REGNUM, I386_ESP_REGNUM, read_memory(), and regcache_raw_supply().

Referenced by _initialize_i386nbsd_nat().